.step-progress-bar {
  max-width: 690px;
  margin: 0 auto;
}

.calculator {
  max-width: 740px;
  width: 100%;
  margin: 0 auto;
  background: $color-surface-50;
  border-radius: 8px;
  box-shadow: 0px 8px 50px -16px #d1d0d3;

  @media (min-width: $breakpoint-md) {
    .calculator-container {
      padding: 40px 108px;
    }
  }

  &.showing-results {
    max-width: 860px;

    .calculator-container {
      padding-left: $spacing-96;
      padding-right: $spacing-96;
    }
  }

  h2 {
    text-align: left;
    margin-bottom: $spacing-32;
  }

  @media (max-width: $breakpoint-md) {
    padding: 40px $spacing-16;
    border-radius: 0 8px;

    &.showing-results .calculator-container {
      padding: 0;
    }
  }

  .form {
    text-align: center;
    margin-top: $spacing-32;

    @media (max-width: $breakpoint-md) {
      padding: $spacing-16 $spacing-16 40px $spacing-16;
    }

    .slp-btn.primary {
      cursor: pointer;
      display: inline-flex;
      align-items: center;
      text-align: center;
      vertical-align: middle;
      padding: 11px $spacing-16;
      border-radius: $border-radius-4;
      font-weight: $font-weight-bold;
      font-size: $text-button-1;
      line-height: $line-height-button-1;
      transition: 200ms ease-in-out background-color;
      background-color: $color-primary-200;
      color: $color-text-50;
      border: 1px solid $color-primary-200;

      @media (max-width: $breakpoint-md) {
        width: 100%;
        justify-content: center;
      }

      .slp-icon {
        margin-left: $spacing-8;
      }

      &:hover {
        background-color: $color-primary-300;
        color: $color-text-300;
        border: 1px solid $color-primary-200;

        svg {
          fill: $color-text-300;
        }
      }

      &:disabled {
        background-color: $color-primary-100;
        border: 1px solid $color-primary-100;
        color: $color-text-200;
        cursor: not-allowed;

        svg {
          fill: $color-text-200;
        }

        &:hover {
          background-color: $color-primary-100;
          cursor: default;
        }
      }
    }

    .form-controls {
      display: flex;
      align-items: flex-end;
      flex-wrap: wrap;
      justify-content: space-between;
      flex-direction: row;
      margin-bottom: $spacing-16;
    }

    .form-control {
      flex: 0 0 calc(50% - 24px);
      text-align: left;
      margin-bottom: $spacing-16;

      &.line-break button {
        flex: 1 0 20%;
      }

      @media (max-width: $breakpoint-md) {
        flex: 1 0 100%;

        &:last-of-type {
          margin-bottom: 0;
        }
      }

      label {
        font-size: $font-size-default;
        margin-bottom: $spacing-8;
        display: flex;
        align-items: center;
        color: $color-text-300;
      }

      input {
        display: block;
        padding: 10px $spacing-16;
        border-radius: 8px;
        font-size: $font-size-default;
        width: 100%;
      }
    }
    .tooltip {
      background: transparent;
      border: none;
      padding: 0;
      margin-left: 4px;
    }
    :deep .slp-tooltip__content {
      font-size: 14px;
      line-height: 20px;
    }
  }
}
